(* Time-stamp: <modified the 12/09/2017 (at 10:09) by Erwan Jahier> *)

(* Generate call graph with dot. *)

val verbose : bool ref

(* Generates a dot and a pdf file that contains the CG from the current call
  (fails if the event kind is not a 'call' *)
val gen_call_graph :  Event.t -> Event.t

(* Ditto, but also generates the call graphs of sub-calls (accessible
  by clicking on nodes in the pdf). Is of course much more costly.  *)
val gen_call_graph_full :  Event.t -> Event.t

(* used by display_call_graph to display the CG *)
val pdf_viewer : string ref 

(* display the CG generated by the last call to gen_call_graph(_full)
   using pdf_viewer *)
val display_call_graph : unit -> unit

