
open RdbgRun


(** Runs the test and returns the first event.  *)
val run : unit -> Event.t

val off : unit -> unit

(** Display info about the test parameters *)
val info : unit -> unit

(** Shortcut for info *)
val i : unit -> unit
 
(* Display a caml expr that, once evaluated, binds variable values
    in the current toplevel. XXX How can it be automated?
*)
val get_val_event : Event.t -> unit

(** Set the maximum number of steps to perform *)
val stl : int -> unit


(** Launch gnuplot-rif to display variable values*)
val set_gnuplot : bool -> unit
(** Launch gnuplot-rif to display variable values*)
val set_sim2chro : bool -> unit



(** To search for commands related to a string *)
val apropos : string -> unit
(** Shortcut for apropos *)
val a : string -> unit

(** Display help about ldbg commands  
- Type help "base" for the list of basic commands.
- Type help "utils" for the list of Ldbg_utils commands.
- Type "help" followed by command name for the full documentation of the command.
*)
val help : string -> unit

(** Shortcut for help *)
val h : string -> unit

(** Display a small online manual *)
val man : unit -> unit

(** Shortcut for (exit 0) *)
val quit : unit -> unit
val q : unit -> unit

val get_prompt: unit -> string 
val set_prompt: string ->  unit
                   
