(* Time-stamp: <modified the 10/02/2016 (at 14:23) by Erwan Jahier> *)

(* This module defines the data structure required by RDBG to run a Reactive Program. *)

type sl = ( string * Data .v) list (* substitutions *)
type e = Event .t
type t = {
  id: string;
  inputs  : (Data.ident * Data.t) list; (* name and type *)
  outputs : (Data.ident * Data.t) list; (* ditto *)
  kill: string -> unit;
  init_inputs  : sl;
  init_outputs : sl;
  step     : (sl -> sl); (* Lurette step *) 
  step_dbg : (sl -> e -> ( sl -> e -> e) -> e); (* RDBG step *)
}

val dummy:t 

